package com.inspect.patrol.domain;

import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

@Setter
@Getter
public class PopupInfoData {
    private String taskId;
    private String eqpBookId;
    private String patrolDeviceCode;
    private String patrolDeviceName;
    private String channelId;
    private String channelCode;
    private String taskStatus = "执行中";
    private List<LinkageTaskInfo> list = new ArrayList<>();

    public PopupInfoData() {
    }

    public PopupInfoData(LinkageTaskInfo linkageTaskInfo) {
        this.eqpBookId = linkageTaskInfo.getEqpBookId();
        this.patrolDeviceCode = linkageTaskInfo.getPatrolDeviceCode();
        this.patrolDeviceName = linkageTaskInfo.getPatrolDeviceName();
        this.channelId = linkageTaskInfo.getChannelId();
        this.channelCode = linkageTaskInfo.getChannelCode();
    }

    @Override
    public String toString() {
        return "PopupInfoData{" +
                "taskId='" + taskId + '\'' +
                ", eqpBookId='" + eqpBookId + '\'' +
                ", patrolDeviceCode='" + patrolDeviceCode + '\'' +
                ", patrolDeviceName='" + patrolDeviceName + '\'' +
                ", channelId='" + channelId + '\'' +
                ", channelCode='" + channelCode + '\'' +
                ", taskStatus='" + taskStatus + '\'' +
                ", list=" + list +
                '}';
    }
}
